Bluetooth Headset pairs but freezes the system when used

Bug #327284 reported by komputes on 2009-02-09
94
This bug affects 9 people
Affects Status Importance Assigned to Milestone
bluez (Ubuntu)
Undecided
Unassigned
Nominated for Jaunty by Michael Casadevall
Nominated for Karmic by Michael Casadevall
pulseaudio (Ubuntu)
Undecided
Daniel T Chen
Nominated for Jaunty by Michael Casadevall
Nominated for Karmic by Michael Casadevall

Bug Description

Release: Ubuntu 9.04 Jaunty
Hardware: 00:19:7F:6A:3A:0C 590 Plantronics Bluetooth Headset

Bluetooth headset pairs but does not show up in sound preferences as output/input devices.

Once paired device, tested in skype as device "Pulseaudio:headset". Heard sound for a semi-second in skype, then the entire system to slow down to a halt/freeze.

May be related to other bluetooth issues which freeze the computer:
https://bugs.edge.launchpad.net/ubuntu/+source/bluez-gnome/+bug/234695
https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/183311
https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/290698

Ernst Sjöstrand (ernstp) wrote :

Am I seeing the same bug? When I do
pactl load-module module-bluetooth-device address=00:0D:3C:B0:1F:D1 sink_name=Bluetooth profile=a2dp
pulseaudio hangs (no crash so no backtrace)

I: socket-server.c: TCP connection accepted by tcpwrap.
I: client.c: Created 1 "Native client (TCP/IP client from 127.0.1.1:42160)"
D: protocol-native.c: Protocol version: remote 14, local 14
D: protocol-native.c: SHM possible: no
D: protocol-native.c: Negotiated SHM: no
D: module-bluetooth-device.c: Connected to the bluetooth audio service
D: module-bluetooth-device.c: sending: BT_REQUEST -> BT_GET_CAPABILITIES
D: module-bluetooth-device.c: trying to receive msg from audio service...
D: module-bluetooth-device.c: Received: BT_RESPONSE <- BT_GET_CAPABILITIES
D: module-bluetooth-device.c: Got device capabilities
D: module-bluetooth-device.c: sending: BT_REQUEST -> BT_SET_CONFIGURATION
D: module-bluetooth-device.c: trying to receive msg from audio service...
D: module-bluetooth-device.c: Received: BT_RESPONSE <- BT_SET_CONFIGURATION
I: module-bluetooth-device.c: sbc parameters:
I: module-bluetooth-device.c: allocation=0
I: module-bluetooth-device.c: subbands=1
I: module-bluetooth-device.c: blocks=3
I: module-bluetooth-device.c: bitpool=32
D: module-bluetooth-device.c: Connection to the device configured
D: module-bluetooth-device.c: sending: BT_REQUEST -> BT_START_STREAM
D: module-bluetooth-device.c: trying to receive msg from audio service...
D: module-bluetooth-device.c: Received: BT_RESPONSE <- BT_START_STREAM
D: module-bluetooth-device.c: trying to receive msg from audio service...
D: module-bluetooth-device.c: Received: BT_INDICATION <- BT_STOP_STREAM

Ernst Sjöstrand (ernstp) wrote :

Note, this worked a few weeks ago in Jaunty.

Daniel T Chen (crimsun) wrote :

Is this symptom reproducible in current jaunty?

Changed in pulseaudio:
status: New → Incomplete
Antti Ruonakoski (anttimr) wrote :

Unfortunately it is.

pactl load-module module-bluetooth-device address=00:1A:DC:59:96:6F sink_name=Bluetooth profile=hsp
Failure: Timeout

Meanwhile In another gnome-terminal:

pulseaudio -vv
...
...
I: protocol-native.c: Client authenticated anonymously.
I: client.c: Created 5 "Native client (TCP/IP client from 127.0.1.1:58922)"
D: protocol-native.c: Protocol version: remote 14, local 14
D: protocol-native.c: SHM possible: no
D: protocol-native.c: Negotiated SHM: no
D: module-bluetooth-device.c: Connected to the bluetooth audio service
D: module-bluetooth-device.c: sending: BT_REQUEST -> BT_GET_CAPABILITIES
D: module-bluetooth-device.c: trying to receive msg from audio service...
D: module-bluetooth-device.c: Received: BT_RESPONSE <- BT_GET_CAPABILITIES
D: module-bluetooth-device.c: Got device capabilities
D: module-bluetooth-device.c: sending: BT_REQUEST -> BT_SET_CONFIGURATION
D: module-bluetooth-device.c: trying to receive msg from audio service...
D: module-bluetooth-device.c: Received: BT_RESPONSE <- BT_SET_CONFIGURATION
D: module-bluetooth-device.c: Connection to the device configured
D: module-bluetooth-device.c: sending: BT_REQUEST -> BT_START_STREAM
D: module-bluetooth-device.c: trying to receive msg from audio service...
D: module-bluetooth-device.c: Received: BT_RESPONSE <- BT_START_STREAM
D: module-bluetooth-device.c: trying to receive msg from audio service...
D: module-bluetooth-device.c: Received: BT_INDICATION <- BT_STOP_STREAM

Output just hangs there. I hear quiet noise in the headset, proving that some kind of connection has been opened. Loaded modules cannot be viewed in paman. There is just a text: Authorizing.

Headset is a Nokia BH-100.

pulseaudio
Version: 0.9.14-0ubuntu8
bluez
Version: 4.30-0ubuntu1

Jan D (jandeyk-gmail) wrote :

I seem to have the same problem.....:

pactl load-module module-bluetooth-device address=00:0D:FD:02:2F:B1 sink_name=Bluetooth profile=hsp

(pulseaudio -vv):

I: module-suspend-on-idle.c: Source alsa_input.usb_device_46d_8b5_noserial_if1_sound_card_0_alsa_capture_0 idle for too long, suspending ...
I: module-alsa-source.c: Device suspended...
I: client.c: Created 1 "Native client (UNIX socket client)"
D: protocol-native.c: Protocol version: remote 14, local 14
I: protocol-native.c: Got credentials: uid=1000 gid=1000 success=1
D: protocol-native.c: SHM possible: yes
D: protocol-native.c: Negotiated SHM: yes
D: module-bluetooth-device.c: Connected to the bluetooth audio service
D: module-bluetooth-device.c: sending: BT_REQUEST -> BT_GET_CAPABILITIES
D: module-bluetooth-device.c: trying to receive msg from audio service...
D: module-bluetooth-device.c: Received: BT_RESPONSE <- BT_GET_CAPABILITIES
D: module-bluetooth-device.c: Got device capabilities
D: module-bluetooth-device.c: sending: BT_REQUEST -> BT_SET_CONFIGURATION
D: module-bluetooth-device.c: trying to receive msg from audio service...
D: module-bluetooth-device.c: Received: BT_RESPONSE <- BT_SET_CONFIGURATION
D: module-bluetooth-device.c: Connection to the device configured
D: module-bluetooth-device.c: sending: BT_REQUEST -> BT_START_STREAM
D: module-bluetooth-device.c: trying to receive msg from audio service...
D: module-bluetooth-device.c: Received: BT_RESPONSE <- BT_START_STREAM
D: module-bluetooth-device.c: trying to receive msg from audio service...
D: module-bluetooth-device.c: Received: BT_INDICATION <- BT_STOP_STREAM

pulseaudio
Version: 0.9.14-0ubuntu1
bluez
Version: 4.32-0ubuntu2

Jaunty alpha 6
kernel: 2.6.28-11-generic

komputes (komputes) on 2009-03-20
Changed in pulseaudio (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → Incomplete
libertarian (david-treumann) wrote :

I believe I have got the same problem. Although my computer does not freeze.

sudo pactl load-module module-bluetooth-device sink_name="moto" address="00:07:A4:B7:A3:2E" profile="a2dp"

returns

Failure: Timeout

pulseaudio
Version: 0.9.14-0ubuntu14
bluez
Version: 4.32-0ubuntu2

Jaunty alpha 6
kernel: 2.6.28-11-generic
with all the updates to date

Maui Muc (stefan-mauerberger) wrote :

!! confirm !!

komputes (komputes) wrote :

I have marked this bug as confirmed since multiple users have confirmed my issue. Hopefully we can get some more love on identifying and correcting the cause. If this bug is incomplete please request the information necessary to make it useful for developers.

Changed in pulseaudio (Ubuntu):
status: Incomplete → Confirmed
Changed in bluez (Ubuntu):
status: New → Confirmed
Daniel T Chen (crimsun) on 2009-03-28
Changed in pulseaudio (Ubuntu):
assignee: nobody → crimsun
status: Confirmed → In Progress
libertarian (david-treumann) wrote :

Error mesage changed to:

Failure: Module initalization failed

libertarian (david-treumann) wrote :

I'm sorry. I had some misconfiguration. It is still: Failure: Timeout

Ludovico Cavedon (cavedon) wrote :

Is this bug upstream? Has it been reported upstream?

On Tue, 21 Apr 2009, Ludovico Cavedon wrote:

> Is this bug upstream? Has it been reported upstream?

It's resolved in upstream (current git or rawhide source) with newer bluez
(4.36).

On Tue, Apr 21, 2009 at 6:31 AM, Daniel T Chen <email address hidden> wrote:
> It's resolved in upstream (current git or rawhide source) with newer bluez
> (4.36).

I see, so it is a bluez problem rather than pulseaudio...
I'll see if I can backport the fix...

Thanks!

Daniel T Chen (crimsun) wrote :

On Tue, Apr 21, 2009 at 12:50 PM, Ludovico Cavedon
<email address hidden> wrote:
> I see, so it is a bluez problem rather than pulseaudio...

No, there are separate pieces: you need at least very new pulseaudio and bluez.

On Tue, Apr 21, 2009 at 6:50 PM, Ludovico Cavedon
<email address hidden> wrote:
> On Tue, Apr 21, 2009 at 6:31 AM, Daniel T Chen <email address hidden> wrote:
>> It's resolved in upstream (current git or rawhide source) with newer bluez
>> (4.36).
>
> I see, so it is a bluez problem rather than pulseaudio...
> I'll see if I can backport the fix...
>
> Thanks!
>

You can at least test my ppa package of bluez.

cheers
--
Baptiste Mille-Mathias
Les gens heureux ne sont pas pressés

I've just tested the Jaunty official release (fully updated) and I got part of it working.

I was able to pair the Plantronics Bluetooth Headset effortlessly, but once paired, I do not see where I can look at my paired devices and their settings. gnome-volume-control does not show the device, pavucontrol does not show the device, skype shows the device as "headset" which only offers sound output but no capture functionality. If I set Skype to use 'headset' as the capture device it will complain "Problem with audio capture"

Also I was told that even though this is one device, two classes can be activated in this device (from the computer) making it work differently (headphones vs headset). I do not see where I can set this option.

I also gave Baptiste Mille-Mathias' PPA a try. I added the PPA, ran updates and pulled in the following packages:
 bluetooth bluez bluez-alsa bluez-cups bluez-gstreamer bluez-utils libbluetooth3

After rebooting I find that pavucontrol and gnome-volume-control still do not allow me to modify the device settings.
Skype still fails when I set 'headset' as the capture device. I also tried audacity which does not show me a different device for headset capture. I am able to playback but not capture.

So these problems bring up some questions:
1) How do I edit the device settings (options, volume levels etc)?
2) How do I set the device to be my session-wide or even system-wide default audio input/output device?
3) How can I get the capture to work on this device?

Ludovico Cavedon (cavedon) wrote :

I tried to upgrade
-bluez to 4.36-0ubuntu2 from blueman PPA (I also tried Baptiste PPA with version 4.35)
-pulseaudio to 1:0.9.15-0ubuntu1~ppa4 from themuso PPA

but still it does not work:
Apr 26 23:24:01 manfredi bluetoothd[3210]: Unable to open seid 64
Apr 26 23:24:01 manfredi pulseaudio[3676]: module-bluetooth-device.c: Received error condition: Invalid argument
Apr 26 23:24:01 manfredi pulseaudio[3676]: module.c: Failed to load module "module-bluetooth-device" (argument: "address="00:0D:44:2F:D2:F7" path="/org/bluez/3210/hci0/dev_00_0D_44_2F_D2_F7""): initialization failed.

Answering to komputes:
there are two ways to access a bluetooth headset:
-directly via pulseaudio (but does not work, according to this bug)
-thorugh alsa, but does not work according to bug #350829

Note that skype and audacity use the second way, while pavucontrol uses the first. About gnome-volume-control, I do not think it will ever show a control for the headset, as it is not seen as sound card

thefluxster (buy-ikentech) wrote :

I was using the instructions found here for Intrepid, but these no longer apply to Jaunty:
https://help.ubuntu.com/community/BluetoothHeadset

Was working perfectly in Intrepid.

Ludovico Cavedon (cavedon) wrote :

Ok, I got it working!
Using:
-bluez 4.37 (thanks to Baptiste for packaging: it is not building correctly but it is easy to fix!)
-pulseaudio 0.915 ( thanks to Luke Yelavich PPA)

* Ludovico Cavedon wrote, On 27/04/09 18:01:
> Ok, I got it working!
> Using:
> -bluez 4.37 (thanks to Baptiste for packaging: it is not building correctly but it is easy to fix!)
> -pulseaudio 0.915 ( thanks to Luke Yelavich PPA)
>
I confirm that I got it working with those two ppa and following
instructions at:
http://wiki.bluez.org/wiki/HOWTO/AudioDevices

By pairing the device using the gui and then typing:
gconftool -t string -s /system/gstreamer/0.10/default/musicaudiosink
"alsasink device=bluetooth"

and ~/.asoundrc:

pcm.bluetoothraw {
        type bluetooth
        device 00:13:17:70:38:1B # Jabra BT620s
        profile "auto"
}
pcm.bluetooth {
    type plug
    slave {
        pcm bluetoothraw
    }
}

Sadly the HID on the headset doesn't pass through, but this is great
anyway.... I can listen to my music, now to make it work shared with
ekiga, sip registered to my pbx.

Sam

We should update the Help Wiki for Bluetooth Headset interaction through Pulse Audio found here:

https://help.ubuntu.com/community/BluetoothHeadset

Many other users could definitely benefit from this info.

Long-run, Ubuntu should SERIOUSLY consider packaging/productizing these types of things!

I didn't bring my BT headphones with me to work (wasn't working, so why bother?). I'll give it a spin tonight and post my test results with the Cardo S-2.

Regardless, thank you Sam and Ludovico. The community has been improved by your efforts.

Sam Liddicott wrote:
> * Ludovico Cavedon wrote, On 27/04/09 18:01:
>> Ok, I got it working!
>> Using:
>> -bluez 4.37 (thanks to Baptiste for packaging: it is not building correctly but it is easy to fix!)
>> -pulseaudio 0.915 ( thanks to Luke Yelavich PPA)
>>
> I confirm that I got it working with those two ppa and following
> instructions at:
> http://wiki.bluez.org/wiki/HOWTO/AudioDevices

Just to avoid confusion, I was *not* using the setup described in
http://wiki.bluez.org/wiki/HOWTO/AudioDevices (i.e. bluetooth through
ALSA), but I was using the native bluetooth interface of pulseaudio for
bluetooth.

I have a Plantronics 510. It pairs properly with the computer, but I can't get audio to actually work. I upgraded to the bluez package from Baptiste Mille-Mathias's PPA, though I had to rebuild it after updating debian/rules. See my PPA for details. I also upgraded the pulseaudio stuff from themuso's PPA.

When I run this, it thinks about working and then eventually times out:
pactl load-module module-bluetooth-device sink_name="bluetooth" address="00:19:7F:DC:AB:5B"

DanielRoesler (diafygi) wrote :

On Tue, Apr 28, 2009 at 12:27 PM, Ludovico Cavedon <email address hidden> wrote:
> Just to avoid confusion, I was *not* using the setup described in
> http://wiki.bluez.org/wiki/HOWTO/AudioDevices (i.e. bluetooth through
> ALSA), but I was using the native bluetooth interface of pulseaudio for
> bluetooth.

Keeping in mind this is a bug to fix the recognition of bluetooth audio devices in PulseAudio, could you please write a summary of your current workaround with detailed steps? Your previous update on the workaround seems to include ALSA, but this reply says you didn't.

DanielRoesler wrote:
> On Tue, Apr 28, 2009 at 12:27 PM, Ludovico Cavedon <email address hidden> wrote:
>> Just to avoid confusion, I was *not* using the setup described in
>> http://wiki.bluez.org/wiki/HOWTO/AudioDevices (i.e. bluetooth through
>> ALSA), but I was using the native bluetooth interface of pulseaudio for
>> bluetooth.
>
> Keeping in mind this is a bug to fix the recognition of bluetooth audio
> devices in PulseAudio, could you please write a summary of your current
> workaround with detailed steps? Your previous update on the workaround
> seems to include ALSA, but this reply says you didn't.

Are you taking about my message or Sam's message?

>> On Tue, Apr 28, 2009 at 12:27 PM, Ludovico Cavedon <email address hidden> wrote:
>>> Just to avoid confusion, I was *not* using the setup described in
>>> http://wiki.bluez.org/wiki/HOWTO/AudioDevices (i.e. bluetooth through
>>> ALSA), but I was using the native bluetooth interface of pulseaudio for
>>> bluetooth.
>>
>> Keeping in mind this is a bug to fix the recognition of bluetooth audio
>> devices in PulseAudio, could you please write a summary of your current
>> workaround with detailed steps? Your previous update on the workaround
>> seems to include ALSA, but this reply says you didn't.

>Are you taking about my message or Sam's message?

I'm pretty sure he means your reference to *not* using the info found http://wiki.bluez.org/wiki/HOWTO/AudioDevices but rather using the native bluetooth interface of pulseaudio for bluetooth. The rest of us are having trouble getting the PulseAudio interface to recognize bluetooth devices. What, if anything did you have to do to fix it? Can you provide detailed work-around information to this bug?

thefluxster wrote:
> What, if anything did you have to do to fix it? Can
> you provide detailed work-around information to this bug?

I did not do anything particular apart from installing pulsaudio 0.9.15
and bluez 4.37 as indicated in
https://bugs.edge.launchpad.net/ubuntu/+source/bluez/+bug/327284/comments/19

The easy fix I mentioned is that if you try to build bluez it will fail
complaining that it cannot find a file "pulse.conf". I just located the
line giving the error in debian/rules and changed the filename from
"pulse.conf" to "bluetooth.conf". I am not sure it is the right thing
to, but it worked for now.
Anyway bluez 4.37 has been uploaded to karmic:
https://edge.launchpad.net/ubuntu/+source/bluez
so it may be worth backporting.

The broken build is a bit problematic. Can someone post a .deb for this fix, at least? I'll try creating one (my first one...) tomorrow if no one responds with the solution.

thefluxster (buy-ikentech) wrote :

Ok, after some further hunting, I found the .deb packaged with Kharmic. I installed it on Jaunty and now I've got it working. Sort of. It's still a bit buggy. For instance, if I close Rhythmbox and then try to reopen and play something again, it may or may not work without reinitializing the bluetooth connection using:
pactl load-module module-bluetooth-device address=00:0D:3C:BC:56:D9 sink_name="CardoS2" profile="a2dp"

Here is how I got it working:

1. Upgrade PulseAudio to version 0.915 by adding the following PPA resource to Synaptic Package Sources:
deb http://ppa.launchpad.net/themuso/ppa/ubuntu jaunty main
(Note that you need to add the gpg key found on https://launchpad.net/~themuso/+archive/ppa as well)

Check for software updates and install any "pulse" related packages that upgrade to .915 versions.

2. Download the Bluez 4.37 .deb package for Kharmic from here:
https://edge.launchpad.net/ubuntu/karmic/i386/bluez/4.37-0ubuntu1
Install with dpkg -i <package_name>
This effectively backports the package, I think... Someone with more experience should probably confirm this. I'm fairly new to Ubuntu/desktop *nix.

3. Switch your audio settings to "PulseAudio" in your system Sound settings - leave Sound Capture set to HDA <type>.

4. Find the MAC address of your bluetooth device (do a quick google search for "ubuntu bluetooth MAC address" if you're not sure how to do this)

5. Pair your bluetooth headset through your bluetooth settings.

6. Launch your PulseAudio Device Chooser application (Applications -> Sound & Video)

7. On the commandline, initialize your bluetooth headset as a sink for PulseAudio:
pactl load-module module-bluetooth-device address=XX:XX:XX:XX:XX:XX sink_name="BTHeadset" profile="a2dp"

8. You may or may not need to set the newly added device as the default audio sink. If you're not hearing audio, this is a possible reason. Set "BTHeadset" as your default sink by clicking the PulseAudio Device Chooser icon in your top panel and changing the Default Sink -> Other... to BTHeadset.

If that doesn't work, I'm not sure what else it could be... I'm very happy that this solution fixed the audio for me. Now I can watch TV on the bus again! :)

thefluxster (buy-ikentech) wrote :

Please note that the "a2dp" is the correct Bluetooth profile for my headset, but it may not be the right one for yours... Please check your Bluetooth headset documentation to find the correct profile information.

thefluxster wrote:
> Ok, after some further hunting, I found the .deb packaged with Kharmic. I installed it on Jaunty and now I've got it working. Sort of. It's still a bit buggy. For instance, if I close Rhythmbox and then try to reopen and play something again, it may or may not work without reinitializing the bluetooth connection using:
> pactl load-module module-bluetooth-device address=00:0D:3C:BC:56:D9 sink_name="CardoS2" profile="a2dp"

Do you manually have to load module-bluetooth-device? In my case the
module is loaded automatically when the device pairs.

However I also noticed that when an application stops using it, it
disconnects, so I need to push the button on my headset to make it
connect again. However this triggers the loading of
module-bluetooth-device automatically.

This is done by module-bluetooth-discover. Make sure you have this
loaded before connecting the headset.

> 2. Download the Bluez 4.37 .deb package for Kharmic from here:
> https://edge.launchpad.net/ubuntu/karmic/i386/bluez/4.37-0ubuntu1
> Install with dpkg -i <package_name>
> This effectively backports the package, I think... Someone with more experience should probably confirm this. I'm fairly new to Ubuntu/desktop *nix.

The term backporting means rebuilding the packages for the older
distribution. In the case of bluez we are lucky that it does not build
rebuild.

However I filed a bug 370507 asking backporting of bluez 4.37 to jaunty.
Please help to promoting the backport by testing the bluez package I
mentioned in that page (i.e. the bluez package in my ppa) and reporting
to that bug

> 3. Switch your audio settings to "PulseAudio" in your system Sound
> settings - leave Sound Capture set to HDA <type>.

You can also install padevchooser and switch single application to the
headset.

thefluxster wrote:
> Please note that the "a2dp" is the correct Bluetooth profile for my
> headset, but it may not be the right one for yours... Please check your
> Bluetooth headset documentation to find the correct profile information.

in my case the headset is an earphone/mic combination, and my profile is
hsp.
However if the module-bluetooth-discover is doing his job correctly, it
should use the right one automatically.

Thanks for the details!
Ludovico

You all have been very helpful with getting my Bluetooth headset working again. Now I'm having another problem, and I hope you can point me in the right direction.

I have upgraded my pulseaudio audio packages to 0.9.15 and bluez to 4.37 as described above. The pulse audio daemon runs and pairs with my HT820 headset using pulseaudio-bluetooth directly. At the pacmd prompt, I can "play-file sound.wav HT820" and I can hear my test file. So far so good.

But I keep getting "connection refused" errors from padevchooser, paman etc. I know my pulseaudio server is running because I can play files from the command line. Maybe these tools need to be updated?

I have downloaded the sources from http://ppa.launchpad.net/themuso/ppa/ubuntu/pool/main and recompiled alsa-libs, alsa-plugins, and the pa toolset. I still get "connection refused" errors when I can prove the server is running with play-file. Also, whenever I launch any of the pa tools, syslog reports "pulseaudio[32714]: pid.c: Daemon already running."

I belong to the groups pulse, pulse-access, pulse-rt, audio. What have I missed?

Rodrigo Linfati (rlinfati) wrote :

what i need to fix this on my laptop?

bluez 4.37
alsa-lib 1.0.19
alsa-plugins 1.0.19
pulseaudio 0.9.15

with this is ok?

Are any of people who have got this working using blueman? Because without blueman I don't seem to be able to pair at all.

With blueman I can pair no problem, but I can't for the life of me route audio to the device (a sony hws-bta2w).

I my system doesn't freeze like the title of this bug mentions, but as I just said I can't for the life of me route audio to the device...

I constantly get "Failure: Module initalization failed".

Anyway, should I remove blueman before trying this fix? Or will it make no difference? Anyone know?

Thanks, been trying stuff for hours and hours (was hoping that 9.04 would make it easier) and really want to get this working one day! :P

thefluxster (buy-ikentech) wrote :

jdaviescoates wrote:
>Are any of people who have got this working using blueman? Because without blueman I don't seem to be able to pair at all.

No, I haven't tested with that...

Ludovico Cavedon wrote,
>However I filed a bug 370507 asking backporting of bluez 4.37 to jaunty.
Please help to promoting the backport by testing the bluez package I
mentioned in that page (i.e. the bluez package in my ppa) and reporting
to that bug

I've recommended it for release. Others following this thread should do likewise. It would be best to have this added automatically to Jaunty to improve overall experience for newer users. Thanks for posting it!

Scott Bronson (bronson) wrote :

Great writeup thefluxster!! Now I'm streaming A2DP to my crappy Moto S805 headphones for the first time ever.

I notice that if I leave padevchooser's Volume Control open for about 5-30 seconds, suddenly CPU goes to 100%, the Volume Control closes, and a dialog appears saying "connection failed: connection terminated". Then I have to start up.

But, if I immediately close Volume Control after using it to move the audio stream to the headset, this setup appears stable. Newer PA and bluez are key.

Scott Bronson wrote:
> I notice that if I leave padevchooser's Volume Control open for about
> 5-30 seconds, suddenly CPU goes to 100%, the Volume Control closes, and
> a dialog appears saying "connection failed: connection terminated".
> Then I have to start up.

Two notes:
-the pulseaudio volume control has the (IMHO annoying) side effect of
starting recording on all devices in order show a realtime input level.
This may be the reason it eat the CPU (anyway, it shouldn't!)
-"connection failed: connection terminated" means that pulseaudio
crashed. Have a look at yout /var/log/syslog right after the crash.

About the backported packages: I backported all the packages need to
make it work on my PPA
https://launchpad.net/~cavedon/+archive/ppa
i.e.
-bluez
-pulseaudio
-alsa-lib

Unfortunately the newer pulseaudio (0.9.15) depends on a newer version
of alsa-lib which is not available on jaunty.
Unfortunately, I see it really unlikely that alsa-lib get officially
backported, because they are a very common library.

Update: After several days of flawless audio, I suddenly started getting an error message when I tried to run my command-line string. I would instantly get a message telling me that the module had failed to load. All versions of the packages were in order with this thread's workaround.

For some reason, "pulseaudio-module-hal" got dropped from my system during one of the recent Ubuntu auto-updates. It took me a long time to figure out that this is what happened. After adding the module, I can now use my commands as before and get audio to work again.

Hope this helps someone else out there...

* thefluxster wrote, On 13/05/09 06:24:
> Update: After several days of flawless audio, I suddenly started getting
> an error message when I tried to run my command-line string. I would
> instantly get a message telling me that the module had failed to load.
> All versions of the packages were in order with this thread's
> workaround.
>
> For some reason, "pulseaudio-module-hal" got dropped from my system
> during one of the recent Ubuntu auto-updates. It took me a long time to
> figure out that this is what happened. After adding the module, I can
> now use my commands as before and get audio to work again.
>
> Hope this helps someone else out there...
>
Mine stopped working yesterday as pulseaudio-module-bluetooth had
suddenly vanished, which I had to re-install.

Sam

Sam Liddicott (sam-liddicott) wrote :

My audio gets very jumpy if I use padevchooser to select a combined
channel for all local devices.

For a few seconds it's fine, and then I get gaps of silence which get
progressively longer and longer.

For the first time, though, after years of "why?", padevchooser has
finally shown me the reason for pulseaudio. And the fact that I can set
the volume control beyond 100% for a device is REALLY great!

[Anyone know anything about getting my headset buttons to act as media
control buttons? Google knows nothing]

Sam Liddicott (sam-liddicott) wrote :

* Sam Liddicott wrote, On 13/05/09 09:04:
> [Anyone know anything about getting my headset buttons to act as media
> control buttons? Google knows nothing]
>

A simple "modprobe uinput" and then re-connect the headphones did it. Yay!

Sam

Just a suggestion to anyone who decides to fight this battle... It turns out my USB bluetooth adapter doesn't survive suspend/resume. After I resume, I need to restart my computer before I can get audio over bluetooth. Unplugging and plugging the USB device doesn't help. It's a Broadcom Corp. A-Link BlueUsbA2 Bluetooth fwiw.

Sam, good call on 'modprobe uinput'. Now play, pause, ff and rw works from the headphones.

komputes (komputes) wrote :

I was never able to connect a headset graphically in Jaunty (although there were a few workarounds cited here).

Daniel, is there any update on bluez working with pulseaudio seamlessly in Karmic?

Another bug was opened for the same issue (pairing but no audio) in Karmic:
https://bugs.launchpad.net/ubuntu/+source/bluez-gnome/+bug/417863

papukaija (papukaija) on 2010-08-10
tags: added: jaunty
summary: - [Jaunty Alpha4] Bluetooth Headset pairs but freezes the system when used
+ Bluetooth Headset pairs but freezes the system when used
papukaija (papukaija) wrote :

This bug should be fixed in Karmic and higher.

Changed in bluez (Ubuntu):
status: Confirmed → Fix Released
Changed in pulseaudio (Ubuntu):
status: In Progress → Fix Released

Hello,

Same problem here. I'm using Ubuntu 10.10 with a Nokia bluetooth headset. Both Pulseaudio and Gnome Panel freezes when I try to use the headset.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments